[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.Menu

The main menu for the form instance.

## Declaration

Source position: forms.pp line 789

`public property TCustomForm.Menu : TMainMenu read FMenu write SetMenu;`

## Description

Menu is the TMainMenu instance assigned to the form.

Assigning a new value to Menu causes other forms on the Screen to be checked for a duplicate menu assignment. A singular TMainMenu instance cannot be assigned to more than one form. An EInvalidOperation is raised if another form already uses the menu instance. The UpdateMenu method is called when the new property value has been set.

## See also

TMainMenu |  | TMainMenu - the Main Menu that appears at the top of most windows.
Screen |  | The TScreen singleton for the application.
TScreen.Forms |  | Provides indexed access to TForm instances on the screen.